CREATE TABLE mot_qm_resource_quotas (
    RESOURCE_QUOTA_ID              NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    RESOURCE_ID                    NUMBER(18, 0)     NOT NULL,
    ORG_ID                         NUMBER(18, 0) ,
    TERRITORY_QUOTA_ID             NUMBER(18, 0) ,
    RESOURCE_QUOTA                 NUMBER        ,
    INCENTIVE_PLAN_ID              NUMBER(18, 0) ,
    QUOTA_TYPE_CODE                VARCHAR2(120) ,
    DEFAULT_RESOURCE_QUOTA_FLAG    VARCHAR2(4)   ,
    START_DATE                     DATE          ,
    END_DATE                       DATE          ,
    CURRENCY_CODE                  VARCHAR2(12)  ,
    CURR_EXCHANGE_RATE             NUMBER        ,
    CRM_CORP_CURRENCY_CODE         VARCHAR2(60)  ,
    CRM_CURR_CONV_RATE_TYPE        VARCHAR2(120) ,
    SEASONALITY_APPLIED_FLAG       VARCHAR2(4)   ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LAST_UPDATED_BY_PARTY_ID       NUMBER(18, 0) ,
    ICM_STATUS_CODE                VARCHAR2(120) ,
    ICM_SUBMITTED_DATE             TIMESTAMP(6)  ,
    ICM_LAST_ACTION_DATE           TIMESTAMP(6)  ,
    ICM_JUSTIFICATION_CODE         VARCHAR2(120) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    ALLOCATION_COMMENTS            VARCHAR2(2000),
    GOAL_ID                        NUMBER(18, 0)     NOT NULL,
    RESOURCE_QUOTA_ID              NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    RESOURCE_ID                    NUMBER(18, 0)     NOT NULL,
    ORG_ID                         NUMBER(18, 0) ,
    TERRITORY_QUOTA_ID             NUMBER(18, 0) ,
    RESOURCE_QUOTA                 NUMBER        ,
    INCENTIVE_PLAN_ID              NUMBER(18, 0) ,
    QUOTA_TYPE_CODE                VARCHAR2(120) ,
    DEFAULT_RESOURCE_QUOTA_FLAG    VARCHAR2(4)   ,
    START_DATE                     DATE          ,
    END_DATE                       DATE          ,
    CURRENCY_CODE                  VARCHAR2(12)  ,
    CURR_EXCHANGE_RATE             NUMBER        ,
    CRM_CORP_CURRENCY_CODE         VARCHAR2(60)  ,
    CRM_CURR_CONV_RATE_TYPE        VARCHAR2(120) ,
    SEASONALITY_APPLIED_FLAG       VARCHAR2(4)   ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LAST_UPDATED_BY_PARTY_ID       NUMBER(18, 0) ,
    ICM_STATUS_CODE                VARCHAR2(120) ,
    ICM_SUBMITTED_DATE             TIMESTAMP(6)  ,
    ICM_LAST_ACTION_DATE           TIMESTAMP(6)  ,
    ICM_JUSTIFICATION_CODE         VARCHAR2(120) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    ALLOCATION_COMMENTS            VARCHAR2(2000),
    GOAL_ID                        NUMBER(18, 0)     NOT NULL,
    CONSTRAINT pk_mot_qm_resource_quotas PRIMARY KEY (RESOURCE_QUOTA_ID, RESOURCE_QUOTA_ID)
);
